package com.chenyang.nse.bussiness.service.info.tool;

import com.chenyang.nse.bussiness.engine.infa.InfoProperty;
import com.chenyang.nse.bussiness.entity.orm.table.core.TCoreImporttask;
import com.chenyang.nse.bussiness.entity.orm.table.core.masking.TCoreMaskingTable;
import com.chenyang.nse.bussiness.entity.orm.table.core.masking.TCoreMaskingTask;
import com.chenyang.nse.bussiness.entity.orm.table.core.maskingself.TCoreMaskingselfTask;
import com.chenyang.nse.bussiness.entity.orm.table.core.temporary.TCoreMonitorTemporary;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public interface InfoTool {
   void quartzDB(TCoreMaskingTask task, InfoProperty engine, String name, String userid, String mappingkey, TCoreMonitorTemporary temporay);

   void quartzFileTask(TCoreMaskingTask task, InfoProperty engine, String name, String userid, TCoreMonitorTemporary temporay, Map<String, String> map);

   void quartz(TCoreMaskingTask task, InfoProperty engine, String name, String userid, TCoreMonitorTemporary temporay);

   void quartzimp(TCoreMaskingTask task, InfoProperty engine, TCoreImporttask timptask, String userid);

   void quartzsub(TCoreMaskingTask task, InfoProperty engine, String name, String userid);

   void quartzself(TCoreMaskingselfTask task, InfoProperty engine, String name, String userid);

   void updateDataConut(TCoreMaskingTable table, TCoreMonitorTemporary temporay);

   void control(String taskid, String userid) throws Exception;

   void StartWorkflow(InfoProperty engine, String folderName, String workflowName) throws Exception;

   void workflowTaskCompleteMonitorDBToDB(TCoreMaskingTask task, InfoProperty engine, String folderName, String sourceTableName, String userid, String mappingkey, TCoreMonitorTemporary temporay);

   void curTaskAllWorkflowCompleteMonitor(TCoreMaskingTask task, InfoProperty engineInfo, List<TCoreMaskingTable> tlist, HashMap<String, TCoreMaskingTable> sourceTableMaps, String userid, Map<String, TCoreMonitorTemporary> ttmap);

   void sqlServerBcpExecute(InfoProperty engine, TCoreMaskingTask task, HashMap<String, TCoreMaskingTable> sourceTableMaps, String errorLog, TCoreMaskingTable tCoreMaskingTable);

   void quartzSqlServerFileTask(TCoreMaskingTask task, InfoProperty engine, String name, String userid, TCoreMonitorTemporary temporay, Map<String, String> map);
}
